BitMatrix

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.misc.monotone
Interface BitMatrix

All Known Implementing Classes:
  BooleanBitMatrix

    public interface BitMatrix

Interface specifying a simple matrix of booleans. Operations are limited to setting, getting, clearing and counting.

This implementation is part of the master's thesis: "Studie en implementatie van instantie-gebaseerde algoritmen voor gesuperviseerd rangschikken", Stijn Lievens, Ghent University, 2004.

Version:
  $Revision: 1.1 $
Author:
  Stijn Lievens (stijn.lievens@ugent.be)

Method Summary
`boolean` | `clear(int row, int column)` Clears the bit at the specified position.
`int` | `columnCount(int column)` Counts the number of bits that are set in the specified column.
`int` | `columns()` Gets the number of columns.
`boolean` | `get(int row, int column)` Return the element a the specified position.
`int` | `rowCount(int row)` Counts the number of bits that are set in the specified row.
`int` | `rows()` Gets the number of rows.
`boolean` | `set(int row, int column)` Sets the bit at the specified position to `true.`
`boolean` | `set(int row, int column, boolean bool)` Sets the bit at the specified position to the specified value.

Method Detail

### get

    boolean get(int row,
                int column)

  Return the element a the specified position.

  Parameters:
    `row` - the row of the position
    `column` - the column of the position
  Returns:
    `true` if the bit at the specified position is set, `false` otherwise

### set

    boolean set(int row,
                int column,
                boolean bool)

  Sets the bit at the specified position to the specified value.

  Parameters:
    `row` - the row of the position
    `column` - the column of the position
    `bool` - the value to fill in
  Returns:
    the value of `bool`

### set

    boolean set(int row,
                int column)

  Sets the bit at the specified position to `true.` The return value indicates whether anything has changed, i.e. if the bit at the specified position was `true` before calling this method, then `false` is returned (and the bit remains `true` of course). In the other case `true` is returned.

  Parameters:
    `row` - the row of the position
    `column` - the column of the position
  Returns:
    `true` if the bit was actually set, `false` otherwise

### clear

    boolean clear(int row,
                  int column)

  Clears the bit at the specified position. The return value indicates whether the bit was actually cleared, i.e. if the bit was originally `true` then `true` is returned. In the other case `false` is returned.

  Parameters:
    `row` - the row of the position
    `column` - the column of the position
  Returns:
    `true` if the bit was actually cleared, `false` otherwise

### rows

    int rows()

  Gets the number of rows.

  Returns:
    the number of rows of the matrix

### columns

    int columns()

  Gets the number of columns.

  Returns:
    the number of columns of the matrix

### columnCount

    int columnCount(int column)

  Counts the number of bits that are set in the specified column.

  Parameters:
    `column` - index of the column
  Returns:
    the number of bits that are set in the requested column

### rowCount

    int rowCount(int row)

  Counts the number of bits that are set in the specified row.

  Parameters:
    `row` - index of the row
  Returns:
    the number of bits that are set in the requested row

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD